Magic Search facet disappears when changing first character

Bug #1618235 reported by Travis Tripp on 2016-08-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Dashboard (Horizon)
Medium
Eddie Ramirez
OpenStack Searchlight
Confirmed
Undecided
Unassigned

Bug Description

Reporting this after doing a moderated usability test on magic search. This caused significant confusion for the user.

If you select a magic search facet such as Image: Name and then start to type something, but mistype the first character, the magic search facet will completely disappear when you hit backspace.

http://imgur.com/a/CXkkF

Changed in horizon:
assignee: nobody → Matt Borland (palecrow)
tags: added: searchlight-ui
summary: - Magic Search facet disappears to early when changing first character
+ Magic Search facet disappears when changing first character
Changed in searchlight:
status: New → Incomplete
Changed in searchlight:
status: Incomplete → Confirmed
Changed in horizon:
status: New → Confirmed
importance: Undecided → Medium
milestone: none → next
Eddie Ramirez (ediardo) wrote :

Matt Borland: can I take this bug? I think I can get a solution real quick.

Go for it

On Wed, Oct 19, 2016 at 12:58 PM, Eddie Ramirez <email address hidden>
wrote:

> Matt Borland: can I take this bug? I think I can get a solution real
> quick.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1618235
>
> Title:
> Magic Search facet disappears when changing first character
>
> Status in OpenStack Dashboard (Horizon):
> Confirmed
> Status in OpenStack Search (Searchlight):
> Confirmed
>
> Bug description:
> Reporting this after doing a moderated usability test on magic search.
> This caused significant confusion for the user.
>
> If you select a magic search facet such as Image: Name and then start
> to type something, but mistype the first character, the magic search
> facet will completely disappear when you hit backspace.
>
>
> http://imgur.com/a/CXkkF
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/horizon/+bug/1618235/+subscriptions
>

Eddie Ramirez (ediardo) on 2016-10-19
Changed in horizon:
assignee: Matt Borland (palecrow) → Eddie Ramirez (ediardo)
Changed in horizon:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/388200
Committed: https://git.openstack.org/cgit/openstack/horizon/commit/?id=6f8504d9b838f1dc34ff8f362493525a0261e9cb
Submitter: Jenkins
Branch: master

commit 6f8504d9b838f1dc34ff8f362493525a0261e9cb
Author: Eddie Ramirez <email address hidden>
Date: Wed Oct 19 21:01:41 2016 +0000

    Bug fixes Magic Search

    This patch fixes two bugs and minor UX enhancements:
    - User can now delete last character in searchInput without causing the
      facetSelected to disappear
    - User can now use arrow keys normally, preventing the table to be reloaded
    - Menu follows search input position as the user adds more facets

    Closes-bug: 1618235
    Closes-bug: 1635505
    Change-Id: I56b980f7c6739fc4fba06c0028764b2e4e908de6

Changed in horizon:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/406414
Committed: https://git.openstack.org/cgit/openstack/horizon/commit/?id=91ab13aa660d64dd8b2cea63adf08a6c9d75f232
Submitter: Jenkins
Branch: stable/newton

commit 91ab13aa660d64dd8b2cea63adf08a6c9d75f232
Author: Eddie Ramirez <email address hidden>
Date: Wed Oct 19 21:01:41 2016 +0000

    Bug fixes Magic Search

    This patch fixes two bugs and minor UX enhancements:
    - User can now delete last character in searchInput without causing the
      facetSelected to disappear
    - User can now use arrow keys normally, preventing the table to be reloaded
    - Menu follows search input position as the user adds more facets

    Closes-bug: 1618235
    Closes-bug: 1635505
    Change-Id: I56b980f7c6739fc4fba06c0028764b2e4e908de6

tags: added: in-stable-newton
Changed in horizon:
milestone: next → ocata-2

This issue was fixed in the openstack/horizon 11.0.0.0b2 development milestone.

This issue was fixed in the openstack/horizon 10.0.2 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers